<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.account.recharge.AddCreditCardActivity">

    <include
        android:id="@+id/add_credit_card_bar"
        layout="@layout/layout_top_bar" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical">

            <com.abbidot.tracker.widget.CreditCardView
                android:id="@+id/add_credit_card_card_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_18"
                android:layout_marginBottom="@dimen/dp_18" />

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                android:padding="@dimen/dp_16">

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/add_credit_card_number_ed"
                    style="@style/my_EditText_style"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_53"
                    android:hint="@string/txt_card_number"
                    android:inputType="number"
                    android:maxLength="@integer/max_length16" />

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/add_credit_card_name_ed"
                    style="@style/my_EditText_style"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_53"
                    android:layout_marginTop="@dimen/dp_18"
                    android:hint="@string/txt_first_name"
                    android:inputType="text" />

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/add_credit_card_last_name_ed"
                    style="@style/my_EditText_style"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_53"
                    android:layout_marginTop="@dimen/dp_18"
                    android:hint="@string/txt_last_name"
                    android:inputType="text" />

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/add_credit_card_validity_ed"
                    style="@style/my_EditText_style"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_53"
                    android:layout_marginTop="@dimen/dp_18"
                    android:hint="@string/txt_validity_card"
                    android:inputType="number"
                    android:maxLength="@integer/max_length5" />

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/add_credit_card_cvv_ed"
                    style="@style/my_EditText_style"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_53"
                    android:layout_marginTop="@dimen/dp_18"
                    android:hint="@string/txt_cvv_card"
                    android:inputType="number"
                    android:maxLength="@integer/max_length4" />

                <com.abbidot.tracker.widget.TypefaceRoundButton
                    android:id="@+id/confirm_save_card_btn"
                    style="@style/my_QMUIRoundButton_big_style"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/dp_18"
                    android:text="@string/acccount_btn_save"
                    app:qmui_backgroundColor="@color/btn_yellow_color"
                    app:typeface="@string/roboto_bold_font" />
            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.core.widget.NestedScrollView>


</androidx.appcompat.widget.LinearLayoutCompat>